function $AdfTableUtils$$() {
  this.Init();
}
$goog$exportSymbol$$("AdfTableUtils", $AdfTableUtils$$);
$AdfObject$$.$createSubclass$($AdfTableUtils$$);
$AdfTableUtils$$.$InitClass$ = function $$AdfTableUtils$$$$InitClass$$() {
};
$goog$exportSymbol$$("AdfTableUtils.InitClass", $AdfTableUtils$$.$InitClass$);
$AdfTableUtils$$.prototype.Init = function $$AdfTableUtils$$$$Init$() {
  $AdfTableUtils$$.$superclass$.Init.call();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfTableUtils.prototype.Init", {Init:$AdfTableUtils$$.prototype.Init});
$AdfTableUtils$$.$queueColumnSelectionEvent$ = function $$AdfTableUtils$$$$queueColumnSelectionEvent$$($component$$2385$$, $addedSet$$8_processedSets$$, $added$$6_removedSet$$8$$) {
  $addedSet$$8_processedSets$$ = $AdfTableUtils$$.$processColumnSelectionEventChangedSets$($addedSet$$8_processedSets$$, $added$$6_removedSet$$8$$);
  $added$$6_removedSet$$8$$ = [];
  var $removed$$4$$ = [], $i$$748$$ = 0, $k$$16$$;
  for ($k$$16$$ in $addedSet$$8_processedSets$$[0]) {
    $added$$6_removedSet$$8$$[$i$$748$$++] = $k$$16$$;
  }
  $i$$748$$ = 0;
  for ($k$$16$$ in $addedSet$$8_processedSets$$[1]) {
    $removed$$4$$[$i$$748$$++] = $k$$16$$;
  }
  $AdfColumnSelectionEvent$$.$queue$($component$$2385$$, $added$$6_removedSet$$8$$, $removed$$4$$);
};
$goog$exportSymbol$$("AdfTableUtils.queueColumnSelectionEvent", $AdfTableUtils$$.$queueColumnSelectionEvent$);
$AdfTableUtils$$.$processColumnSelectionEventChangedSets$ = function $$AdfTableUtils$$$$processColumnSelectionEventChangedSets$$($addedSet$$9$$, $removedSet$$9$$) {
  var $removed$$5$$ = null, $added$$7$$ = null;
  if ($removedSet$$9$$) {
    if ($addedSet$$9$$) {
      for (var $key$$116$$ in $removedSet$$9$$) {
        $addedSet$$9$$[$key$$116$$] || ($removed$$5$$ || ($removed$$5$$ = {}), $removed$$5$$[$key$$116$$] = !0);
      }
    } else {
      $removed$$5$$ = {}, $AdfCollections$$.$copyInto$($removed$$5$$, $removedSet$$9$$);
    }
  }
  if ($addedSet$$9$$) {
    if ($removedSet$$9$$) {
      for ($key$$116$$ in $addedSet$$9$$) {
        $removedSet$$9$$[$key$$116$$] || ($added$$7$$ || ($added$$7$$ = {}), $added$$7$$[$key$$116$$] = !0);
      }
    } else {
      $added$$7$$ = {}, $AdfCollections$$.$copyInto$($added$$7$$, $addedSet$$9$$);
    }
  }
  return [null == $added$$7$$ ? {} : $added$$7$$, null == $removed$$5$$ ? {} : $removed$$5$$];
};
$goog$exportSymbol$$("AdfTableUtils.processColumnSelectionEventChangedSets", $AdfTableUtils$$.$processColumnSelectionEventChangedSets$);
$AdfTableUtils$$.$queueSortEvent$ = function $$AdfTableUtils$$$$queueSortEvent$$($table$$76$$, $properties$$71$$, $orders$$3$$) {
  $table$$76$$.setProperty("scrollTopRowKey", null, !0, $AdfUIComponent$$.$PROPAGATE_ALWAYS$);
  var $buddyComponent$$5_peer$$198$$ = $table$$76$$.$getPeer$();
  $buddyComponent$$5_peer$$198$$ && ($buddyComponent$$5_peer$$198$$ = $buddyComponent$$5_peer$$198$$.$GetAssociatedComponent$(), null != $buddyComponent$$5_peer$$198$$ && $buddyComponent$$5_peer$$198$$.setProperty("scrollTopRowKey", null, !0, $AdfUIComponent$$.$PROPAGATE_ALWAYS$));
  (new $AdfSortEvent$$($table$$76$$, $properties$$71$$, $orders$$3$$)).$queue$();
};
$goog$exportSymbol$$("AdfTableUtils.queueSortEvent", $AdfTableUtils$$.$queueSortEvent$);
